summaryrefslogtreecommitdiffstats
path: root/system-build/frontend/live-build
diff options
context:
space:
mode:
Diffstat (limited to 'system-build/frontend/live-build')
-rwxr-xr-xsystem-build/frontend/live-build37
1 files changed, 37 insertions, 0 deletions
diff --git a/system-build/frontend/live-build b/system-build/frontend/live-build
new file mode 100755
index 0000000..52b8437
--- /dev/null
+++ b/system-build/frontend/live-build
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+## live-build(7) - System Build Scripts
+## Copyright (C) 2006-2015 Daniel Baumann <mail@daniel-baumann.ch>
+##
+## This program is free software: you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation, either version 3 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program. If not, see <http://www.gnu.org/licenses/>.
+##
+## The complete text of the GNU General Public License
+## can be found in /usr/share/common-licenses/GPL-3 file.
+
+
+set -e
+
+if [ -x "$(which man 2>/dev/null)" ]
+then
+ man live-build
+else
+
+cat << EOF
+live-build contains the scripts to build a live system from a configuration
+directory.
+
+An introduction to live-build can be found in the live-build(7) manpage.
+EOF
+
+fi